#!/bin/sh
# 
# cleanup.sh
# run this script as a cron job to remove all temporary files
# created by webmail.pl. Preferably run it once per hour
#

# take care or you will wipe out important files!

### START USER CONFIG #####################################################
#
# directory for session keys (same as in webmail!!!)

tmp_dir=/tmp/sessions

#
# directory for mail messages and attachments (same as in webmail.pl!!!)

msg_dir=/usr/local/httpd/htdocs/tmp

#
# minimal age of files to delete

maxage=60

#
### END USER CONFIG #######################################################


# simple finds to do the dirty work
find $msg_dir -maxdepth 1 -name "msg-*" -type d -cmin +$maxage -exec rm -rf {} \;
find $tmp_dir -maxdepth 1               -type f -cmin +$maxage -exec rm -f  {} \;

